<?php

namespace App\Models;

class PropertyNonrefundable extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_nonrefundable';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    /**
     * @return mixed
     */


    public function propertyChannel()
    {
        return $this->hasOne('App\Models\PropertyChannel','id', 'channel_id')
            ->select(['id', 'parent_id', 'name', 'official_name', 'description', 'channel_category_id', 'country_code', 'currency_code', 'logo', 'address', 'zip_code', 'email', 'phone', 'phone2', 'fax', 'score', 'status']);
    }

    public function propertyRoomRateMapping()
    {
        return $this->hasOne('App\Models\PropertyRoomRateMapping','id', 'room_rate_mapping_id')
            ->select('id', 'room_id', 'room_rate_id', 'description', 'rack_rate', 'included_occupancy');
    }

}
